Package org.eclipse.app4mc.amalthea.model.builder

## Class DatatypeBuilder

- Object
- - DatatypeBuilder

    public class DatatypeBuilder
    extends Object

### Constructor Summary

Constructors
`DatatypeBuilder()`

### Method Summary

All Methods
`void` `alias​(BaseTypeDefinition container, Procedures.Procedure1<Alias> initializer)`
`void` `array​(Array container, Procedures.Procedure1<Array> initializer)`
`void` `array​(Channel container, Procedures.Procedure1<Array> initializer)`
`void` `array​(DataTypeDefinition container, Procedures.Procedure1<Array> initializer)`
`void` `array​(Label container, Procedures.Procedure1<Array> initializer)`
`void` `array​(Pointer container, Procedures.Procedure1<Array> initializer)`
`void` `array​(StructEntry container, Procedures.Procedure1<Array> initializer)`
`void` `entry​(Struct container, Procedures.Procedure1<StructEntry> initializer)`
`void` `pointer​(Array container, Procedures.Procedure1<Pointer> initializer)`
`void` `pointer​(Channel container, Procedures.Procedure1<Pointer> initializer)`
`void` `pointer​(DataTypeDefinition container, Procedures.Procedure1<Pointer> initializer)`
`void` `pointer​(Label container, Procedures.Procedure1<Pointer> initializer)`
`void` `pointer​(Pointer container, Procedures.Procedure1<Pointer> initializer)`
`void` `pointer​(StructEntry container, Procedures.Procedure1<Pointer> initializer)`
`void` `struct​(Array container, Procedures.Procedure1<Struct> initializer)`
`void` `struct​(Channel container, Procedures.Procedure1<Struct> initializer)`
`void` `struct​(DataTypeDefinition container, Procedures.Procedure1<Struct> initializer)`
`void` `struct​(Label container, Procedures.Procedure1<Struct> initializer)`
`void` `struct​(Pointer container, Procedures.Procedure1<Struct> initializer)`
`void` `struct​(StructEntry container, Procedures.Procedure1<Struct> initializer)`
`void` `typeDefinition_BaseType​(SWModel container, Procedures.Procedure1<BaseTypeDefinition> initializer)`
`void` `typeDefinition_DataType​(SWModel container, Procedures.Procedure1<DataTypeDefinition> initializer)`

### Methods inherited from class Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatatypeBuilder

    public DatatypeBuilder()

### Method Detail

#### typeDefinition_BaseType

    public void typeDefinition_BaseType​(SWModel container,
                                        Procedures.Procedure1<BaseTypeDefinition> initializer)

#### typeDefinition_DataType

    public void typeDefinition_DataType​(SWModel container,
                                        Procedures.Procedure1<DataTypeDefinition> initializer)

#### alias

    public void alias​(BaseTypeDefinition container,
                      Procedures.Procedure1<Alias> initializer)

#### struct

    public void struct​(Channel container,
                       Procedures.Procedure1<Struct> initializer)

#### struct

    public void struct​(Label container,
                       Procedures.Procedure1<Struct> initializer)

#### struct

    public void struct​(DataTypeDefinition container,
                       Procedures.Procedure1<Struct> initializer)

#### struct

    public void struct​(Array container,
                       Procedures.Procedure1<Struct> initializer)

#### struct

    public void struct​(StructEntry container,
                       Procedures.Procedure1<Struct> initializer)

#### struct

    public void struct​(Pointer container,
                       Procedures.Procedure1<Struct> initializer)

#### entry

    public void entry​(Struct container,
                      Procedures.Procedure1<StructEntry> initializer)

#### array

    public void array​(Channel container,
                      Procedures.Procedure1<Array> initializer)

#### array

    public void array​(Label container,
                      Procedures.Procedure1<Array> initializer)

#### array

    public void array​(DataTypeDefinition container,
                      Procedures.Procedure1<Array> initializer)

#### array

    public void array​(Array container,
                      Procedures.Procedure1<Array> initializer)

#### array

    public void array​(StructEntry container,
                      Procedures.Procedure1<Array> initializer)

#### array

    public void array​(Pointer container,
                      Procedures.Procedure1<Array> initializer)

#### pointer

    public void pointer​(Channel container,
                        Procedures.Procedure1<Pointer> initializer)

#### pointer

    public void pointer​(Label container,
                        Procedures.Procedure1<Pointer> initializer)

#### pointer

    public void pointer​(DataTypeDefinition container,
                        Procedures.Procedure1<Pointer> initializer)

#### pointer

    public void pointer​(Array container,
                        Procedures.Procedure1<Pointer> initializer)

#### pointer

    public void pointer​(StructEntry container,
                        Procedures.Procedure1<Pointer> initializer)

#### pointer

    public void pointer​(Pointer container,
                        Procedures.Procedure1<Pointer> initializer)